@font-face {
    font-family: 'Pokemon-hollow';
    src: url('font/pokemon-hollow.ttf') format('truetype');
    font-style: normal;
    font-weight: 300;
}
@font-face {
    font-family: 'Pokemon-solid';
    src: url('font/pokemon-solid.ttf') format('truetype');
    font-style: normal;
    font-weight: 300;
}
@font-face {
    font-family: 'Pokemon-gb';
    src: url('font/pokemon-font.eot'); /* IE9 Compat Modes */
    src: url('font/pokemon-font.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
    url('font/pokemon-font.woff2') format('woff2'), /* Super Modern Browsers */
    url('font/pokemon-font.woff') format('woff'), /* Pretty Modern Browsers */
    url('font/pokemon-font.ttf') format('truetype') /* Safari, Android, iOS */
    /* There is no SVG version of this font due to support being dropped in SVG 2 */
}
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    list-style: none;
    text-decoration: none;

}
html {
    font-family: Roboto, Helvetica, sans-serif;
    font-size: 1.5rem;
    font-weight: 400;
    line-height: 1.7;
}
.section {
    width: 100%;
    height: 100%;
    display: flex;
}
.site-header {
    display: flex;
    flex-flow: row wrap;
    justify-content: space-between;

    background: deepskyblue;
    color: white;
    border-bottom: 1px solid #201c29;
    -webkit-animation: none;
    animation: none;
}
.logo a {
    font-family: 'Pokemon-solid', Roboto, Helvetica, sans-serif;
    text-decoration: none;
    display: block;
    padding: 1em;
    color: orange;
}
.logo a:hover {
    color: orangered;
    background: #0066ff;

}
.navbar {
    flex-grow: 2;
}
.navbar .main-menu {
    display: flex;
    flex-flow: row wrap;
    justify-content: space-evenly;
}
.navbar a {
    text-decoration: none;
    display: block;
    padding: 1em;
    color: white;

}
.navbar a:hover {
    background: #0066ff;

}

.main-app {
    display: flex;
    flex-flow: row;
    background-color: white;
}
.app-canvas {
    display: flex;
    flex-flow: row;
    max-height: 600px;
    max-width: 300px;
    justify-content: space-evenly;
}

.app-canvas img {
    height: auto;
    width: auto;

    border: 2px solid #5D6063;
    border-radius: 4px;
    margin: auto 0;

}
.app-body {
    display: flex;
    flex-flow: column;
    justify-content: space-evenly;
    min-height: 600px;
}
.poke-list {
    display: flex;
    flex-flow: row wrap;
    justify-content: space-evenly;
}
.poke-list li {
    padding: 5px;
    margin: 10px;

    color: white;
    font-weight: bold;
    font-size: 1em;
    text-align: center;
}

.pokeball {
    display: block;
    line-height: 0;
    font-size: 0;
    text-decoration: none;
    border: none;
    width: 170px;
    height: 170px;
    background: url(img/pokeball-base.svg);
    background-size: 170px 170px;
}
.blogane {
    background: url(img/pokeball-blogane.svg);
    background-size: 170px 170px;

}
.laline {
    background: url(img/pokeball-laline.svg);
    background-size: 170px 170px;

}
.thela {
    background: url(img/pokeball-thela.svg);
    background-size: 170px 170px;
}
.yzo {
    background: url(img/pokeball-yzo.svg);
    background-size: 170px 170px;
}
.mayls {
    background: url(img/pokeball-mayls.svg);
    background-size: 170px 170px;

}
.kawane {
    background: url(img/pokeball-kawane.svg);
    background-size: 170px 170px;

}
.pokeball:hover {
    transform-origin: 50% 50%;
    animation-name: poke-tilt;
    animation-duration: 0.5s;
    animation-timing-function: linear;
    animation-delay: 0s;
    animation-direction: initial;
    animation-iteration-count: infinite;
    animation-fill-mode: none;
    animation-play-state: running;
}

@keyframes poke-tilt {
    0%, 100% {
        transform: rotate(0deg);
    }
    25% {
        transform: rotate(20deg);
    }
    50% {
        transform: rotate(0deg);
    }
    75% {
        transform: rotate(-20deg);
    }
}
.nav-button {
    display: flex;
    flex-direction: row;
    align-content: center;
    justify-content: space-evenly;
    font-family: 'Pokemon-gb', sans-serif;
    font-size: 1em;


}
.nav-button button {
    text-decoration: none;
    padding: 8px 16px;
    font-size: larger;

}
.nav-button button:hover {
    background-color: orangered;
    color: black;
}
.typewriter {
    font-family: 'Pokemon-gb', sans-serif;
    padding: 10px;
    font-size: large;
    border: double 1em gray;
    margin: 10px;

}
.validButton {
    background-color: orange;
    color: white;
}
.unValidButton {
    background-color: #f1f1f1;
    color: black;
}
/* for normal big screen */
@media only screen and (min-width: 961px) {
    body {
        background-color: #f1bea6;
    }

    html {
        width: 1080px;
        margin: 0 auto;
    }
}